%define        gemname bcrypt

Name:          gem-bcrypt
Version:       3.1.17
Release:       alt0.1
Summary:       bcrypt-ruby is a Ruby binding for the OpenBSD bcrypt() password hashing algorithm
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/codahale/bcrypt-ruby
Vcs:           https://github.com/codahale/bcrypt-ruby.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-bcrypt < %EVR
Provides:      ruby-bcrypt = %EVR
Provides:      gem(bcrypt) = 3.1.17


%description
bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD
project for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for
safely handling passwords.


%package       -n gem-bcrypt-doc
Version:       3.1.17
Release:       alt0.1
Summary:       bcrypt-ruby is a Ruby binding for the OpenBSD bcrypt() password hashing algorithm documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета bcrypt
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(bcrypt) = 3.1.17

%description   -n gem-bcrypt-doc
bcrypt-ruby is a Ruby binding for the OpenBSD bcrypt() password hashing
algorithm documentation files.

bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD
project for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for
safely handling passwords.

%description   -n gem-bcrypt-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета bcrypt.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-bcrypt-doc
%doc README.md
%ruby_gemdocdir


%changelog
* Wed Mar 16 2022 Pavel Skrylev <majioa@altlinux.org> 3.1.17-alt0.1
- ^ 3.1.13 -> 3.1.17

* Tue Apr 07 2020 Pavel Skrylev <majioa@altlinux.org> 3.1.13-alt1.3
- ! spec obsoletes/provides pair

* Thu Mar 05 2020 Pavel Skrylev <majioa@altlinux.org> 3.1.13-alt1.2
- fixed (!) spec

* Wed Sep 11 2019 Pavel Skrylev <majioa@altlinux.org> 3.1.13-alt1.1
- fixed (!) spec according to changelog rules

* Fri Jul 12 2019 Pavel Skrylev <majioa@altlinux.org> 3.1.13-alt1
- fixed (!) spec
- updated (^) 3.1.12 -> 3.1.13

* Thu Apr 11 2019 Pavel Skrylev <majioa@altlinux.org> 3.1.12-alt2
- Use Ruby Policy 2.0

* Wed Jul 11 2018 Andrey Cherepanov <cas@altlinux.org> 3.1.12-alt1.1
- Rebuild with new Ruby autorequirements.

* Thu Jun 14 2018 Andrey Cherepanov <cas@altlinux.org> 3.1.12-alt1
- Initial build for Sisyphus
